Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

## Class JSPWikiLinkNodePostProcessor

- java.lang.Object
- - com.vladsch.flexmark.parser.block.NodePostProcessor
  - - org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.JSPWikiLinkNodePostProcessor

All Implemented Interfaces:
  `com.vladsch.flexmark.parser.PostProcessor`

    public class JSPWikiLinkNodePostProcessor
    extends com.vladsch.flexmark.parser.block.NodePostProcessor

`NodePostProcessor` to convert `Link`s into `JSPWikiLink`s. Acts as a factory of `NodePostProcessorState`, which are the classes generating the extra markup for each concrete type of link.

### Field Summary

Fields
`protected com.vladsch.flexmark.util.ast.Document` `document`
`protected LinkParsingOperations` `linkOperations`
`protected org.apache.wiki.api.core.Context` `m_context`
`protected boolean` `m_useOutlinkImage`

### Constructor Summary

Constructors
`JSPWikiLinkNodePostProcessor​(org.apache.wiki.api.core.Context m_context, com.vladsch.flexmark.util.ast.Document document, boolean isImageInlining, java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process​(com.vladsch.flexmark.util.ast.NodeTracker state, com.vladsch.flexmark.util.ast.Node node)`

### Methods inherited from class com.vladsch.flexmark.parser.block.NodePostProcessor

`processDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_context

    protected final org.apache.wiki.api.core.Context m_context

#### linkOperations

    protected final LinkParsingOperations linkOperations

#### m_useOutlinkImage

    protected boolean m_useOutlinkImage

#### document

    protected final com.vladsch.flexmark.util.ast.Document document

### Constructor Detail

#### JSPWikiLinkNodePostProcessor

    public JSPWikiLinkNodePostProcessor​(org.apache.wiki.api.core.Context m_context,
                                        com.vladsch.flexmark.util.ast.Document document,
                                        boolean isImageInlining,
                                        java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

### Method Detail

#### process

    public void process​(com.vladsch.flexmark.util.ast.NodeTracker state,
                        com.vladsch.flexmark.util.ast.Node node)

See Also:
  `PostProcessor.process(NodeTracker, Node)`